diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index e29b55e5ac..0499f9044f 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -413,6 +413,22 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-data-page">
+   <glossterm>Data page</glossterm>
+   <glossdef>
+    <para>
+     The basic structure used to store relation data.
+     All pages are of the same size.
+     Data pages are typically stored on disk, each in a specific file,
+     and can be read to <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>
+     where they can be modified, becoming
+     <firstterm>dirty</firstterm>.  They become clean when written
+     to disk.  New pages, which initially exist in memory only, are also
+     dirty until written.
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-database">
    <glossterm>Database</glossterm>
    <glossdef>
@@ -441,6 +457,7 @@
      <firstterm>cluster</firstterm> is also sometimes used to refer to an instance.
      (Don't confuse this term with the SQL command <command>CLUSTER</command>.)
     </para>
+   </glossdef>
   </glossentry>
 
   <glossentry>
@@ -448,22 +465,6 @@
    <glosssee otherterm="glossary-instance" />
   </glossentry>
 
-  <glossentry id="glossary-data-page">
-   <glossterm>Data page</glossterm>
-   <glossdef>
-    <para>
-     The basic structure used to store relation data.
-     All pages are of the same size.
-     Data pages are typically stored on disk, each in a specific file,
-     and can be read to <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>
-     where they can be modified, becoming
-     <firstterm>dirty</firstterm>.  They become clean when written
-     to disk.  New pages, which initially exist in memory only, are also
-     dirty until written.
-    </para>
-   </glossdef>
-  </glossentry>
-
   <glossentry id="glossary-datum">
    <glossterm>Datum</glossterm>
    <glossdef>
